Bug 1212068 - Review Request: golang-github-hashicorp-raft- Golang implementation of the Raft consensus protocol
Summary: Review Request: golang-github-hashicorp-raft- Golang implementation of the Ra...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Lokesh Mandvekar
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1211990 1212031
Blocks: 1208616 1212105 1212346 1212350
TreeView+ depends on / blocked
 
Reported: 2015-04-15 13:37 UTC by Jan Chaloupka
Modified: 2015-07-08 17:12 UTC (History)
2 users (show)

Fixed In Version: golang-github-hashicorp-raft-0-0.1.git6c2c8a2.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 00:01:02 UTC
lsm5: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Chaloupka 2015-04-15 13:37:58 UTC
Spec URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-raft/golang-github-hashicorp-raft.spec

SRPM URL: https://jchaloup.fedorapeople.org/reviews/golang-github-hashicorp-raft/golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc20.src.rpm

Description: Golang implementation of the Raft consensus protocol

Fedora Account System Username: jchaloup

$ rpmlint /home/jchaloup/rpmbuild/SRPMS/golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc20.src.rpm /home/jchaloup/rpmbuild/RPMS/noarch/golang-github-hashicorp-raft-devel-0-0.1.git6c2c8a2.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.

Comment 1 Jan Chaloupka 2015-04-15 13:38:28 UTC
Koji: package depends on bz1211990 bz1212031. Locally it builds fine.

Comment 2 Lokesh Mandvekar 2015-06-17 13:48:50 UTC
- spec file conforms to current golang packaging draft
- license correct and valid
- only sources installed for now

package approved

Comment 3 Jan Chaloupka 2015-06-17 16:40:19 UTC
New Package SCM Request
=======================
Package Name: golang-github-hashicorp-raft
Short Description: Golang implementation of the Raft consensus protocol
Upstream URL: https://github.com/hashicorp/raft
Owners: jchaloup
Branches: f22 f21 el6
InitialCC: golang-sig

Comment 4 Gwyn Ciesla 2015-06-18 15:03:32 UTC
Git done (by process-git-requests).

Comment 5 Fedora Update System 2015-06-19 18:55:03 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc22

Comment 6 Fedora Update System 2015-06-19 18:56:15 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc21

Comment 7 Fedora Update System 2015-06-19 18:58:34 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/golang-github-hashicorp-raft-0-0.1.git6c2c8a2.el6

Comment 8 Fedora Update System 2015-06-20 21:16:19 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 9 Fedora Update System 2015-06-30 00:01:02 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc21 has been pushed to the Fedora 21 stable repository.

Comment 10 Fedora Update System 2015-06-30 00:04:36 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.fc22 has been pushed to the Fedora 22 stable repository.

Comment 11 Fedora Update System 2015-07-08 17:12:03 UTC
golang-github-hashicorp-raft-0-0.1.git6c2c8a2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.